Bug 81362 - SPELLCHECK: English sentence checking minus option fails to detect 'false' minus
Summary: SPELLCHECK: English sentence checking minus option fails to detect 'false' minus
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.1 rc
Hardware: Other All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2014-07-14 20:58 UTC by John Smith
Modified: 2017-01-03 19:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODT document illustrating the problem. (31.09 KB, application/vnd.oasis.opendocument.text)
2014-07-14 21:06 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2014-07-14 20:58:11 UTC

    
Comment 1 John Smith 2014-07-14 21:06:12 UTC
Created attachment 102802 [details]
ODT document illustrating the problem.

The option to detect a minus sign in Tools > Options> Language Settings > English sentence checking, does not work. The keyboard hyphen/ minus sign should be detected and changed to the correct typographical minus symbol (Unicode 2212).
En-dash and Em-dash options also do not work as described in the document referenced in the attachment.
Comment 2 Yousuf Philips (jay) (retired) 2014-07-14 21:15:41 UTC
Previously confirmed in bug 75122 comment 1.

> I tested your submitted file against 4.2.5 and 4.3.0 and ... What presently didnt work is unspaced em dash and minus sign.
Comment 3 QA Administrators 2015-07-18 17:43:19 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:36:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103